A valid request URL is required to generate request examples{
"distance_type": "<string>",
"index_type": "<string>",
"num_indexed_rows": 1,
"num_unindexed_rows": 1,
"num_indices": 1
}Get statistics for a specific index on a table. Returns information about the index type, distance type (for vector indices), and row counts.
curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/index/{index_name}/stats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
],
"version": 1,
"index_name": "<string>"
}
'{
"distance_type": "<string>",
"index_type": "<string>",
"num_indexed_rows": 1,
"num_unindexed_rows": 1,
"num_indices": 1
}Documentation Index
Fetch the complete documentation index at: https://docs.lancedb.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Name of the index to get stats for
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Index stats request
Identity information of a request.
Show child attributes
Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.
REST NAMESPACE ONLY
Context entries are passed via HTTP headers using the naming convention
x-lance-ctx-<key>: <value>. For example, a context entry
{"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.
Show child attributes
Optional table version to get stats for
x >= 0Name of the index
Index statistics
Distance type for vector indexes
Type of the index
Number of indexed rows
x >= 0Number of unindexed rows
x >= 0Number of indices
x >= 0Was this page helpful?